﻿using Syncfusion.Windows.Reports;
using Syncfusion.Windows.Reports.Viewer;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SF_RepTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            this.Report = new ReportModel();
            this.Report.ReportServerCredential = new System.Net.NetworkCredential("adm", "pass");
            this.Report.ReportPath = @"/Reports/SF_null_rep";
            this.Report.ReportServerUrl = @"http://reptst/reportserver";
            this.Report.ProcessingMode = ProcessingMode.Remote;

            TestRepViewer.DataContext = this;
        }

        public ReportModel Report { get; set; }

        private void Grid_Loaded(object sender, RoutedEventArgs e)
        {
            List<DataSourceCredentials> crdentials = new List<DataSourceCredentials>();

            if (TestRepViewer.GetDataSources() != null)
            {
                DataSourceCredentials credn;
                foreach (var dataSource in TestRepViewer.GetDataSources())
                {
                    credn = new DataSourceCredentials();
                    credn.Name = dataSource.Name;
                    credn.UserId = "adm";
                    credn.Password = "pass";
                    credn.IntegratedSecurity = false;
                    crdentials.Add(credn);
                }
            }
            TestRepViewer.SetDataSourceCredentials(crdentials);

            TestRepViewer.RefreshReport();

        }
    }

    public class ReportModel
    {
        public string ReportPath { get; set; }
        public string ReportServerUrl { get; set; }
        public System.Net.NetworkCredential ReportServerCredential { get; set; }
        public Syncfusion.Windows.Reports.Viewer.ProcessingMode ProcessingMode { get; set; }
    }
}
